### Method

# Pango FontFamilyis_monospace

since: 1.4

#### Declaration [src]

    gboolean
    pango_font_family_is_monospace (
      PangoFontFamily* family
    )

#### Description [src]

A monospace font is a font designed for text display where the the characters form a regular grid.

For Western languages this would mean that the advance width of all characters are the same, but this categorization also includes Asian fonts which include double-width characters: characters that occupy two grid cells. `g_unichar_iswide()` returns a result that indicates whether a character is typically double-width in a monospace font.

The best way to find out the grid-cell size is to call `pango_font_metrics_get_approximate_digit_width()`, since the results of `pango_font_metrics_get_approximate_char_width()` may be affected by double-width characters.

Available since: 1.4

Gets property | `Pango.FontFamily:is-monospace`

#### Return value

Type: `gboolean`

`TRUE` if the family is monospace.